Browse Source

Merge "Default to Cinder v3 API"

tags/4.0.0
Zuul 6 days ago
parent
commit
71d805008b

+ 1
- 1
openstackclient/volume/client.py View File

@@ -22,7 +22,7 @@ from openstackclient.i18n import _
22 22
 
23 23
 LOG = logging.getLogger(__name__)
24 24
 
25
-DEFAULT_API_VERSION = '2'
25
+DEFAULT_API_VERSION = '3'
26 26
 API_VERSION_OPTION = 'os_volume_api_version'
27 27
 API_NAME = "volume"
28 28
 API_VERSIONS = {

+ 7
- 0
releasenotes/notes/volume-v3-default-0ffa9bebb43b5057.yaml View File

@@ -0,0 +1,7 @@
1
+---
2
+upgrade:
3
+  - |
4
+    Volume commands now default to Volume API 3.  On older clouds
5
+    that do not support Volume 3.x ``--os-volume-api-version 2``
6
+    of the adition of ``volume_api_version: '2' in ``clouds.yaml``
7
+    will be required.

Loading…
Cancel
Save